/*getProblemStyle0() styles*/
.gp_style0{width:auto;margin:auto;}
.gp_style0 td.vgame {border-bottom: thick solid black;color:#000;font-size: 20px;line-height:30px;text-align:right;width:100px;}
.gp_style0 td.vansfld {color: #000;font-size: 20px;line-height:35px;text-align:right;width:100px;}
.gp_style0 input[type='text']{
-moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    -moz-box-sizing: border-box;
    -moz-user-select: text;   
    border-image: none;  
	outline: none;padding: 5px 0px 5px 3px;
	border: 1px solid #DDDDDD;width:100px;/* height:30px; */border-radius:5px;font-size:20px;vertical-align:middle;box-shadow: 0 0 5px rgba(81, 203, 238, 1);
}
.gp_style0 input[type='text'].vinpt_wdth{width:50px;text-align:middle;height:20px;}
/* .gp_style0 input[type='text']:hover {box-shadow: 0 0 5px rgba(81, 203, 238, 1);padding: 5px 0px 5px 3px;border: 1px solid rgba(81, 203, 238, 1);} */
.gp_style0 input[type='text']:focus{ border-color: #66CCFF;box-shadow: 0 0 3px #66CCFF;outline: medium none;}



/*getProblemStyle1&2&5() styles* horizantal */
.gp_style1{width:auto;margin:auto;}
.gp_style1 td.hgame {color: #000;font-size:20px;line-height:30px;	width:auto;}
.gp_style1 input[type='text']{
-moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    -moz-box-sizing: border-box;
    -moz-user-select: text;   
    border-image: none;  
	outline: none;padding: 5px 0px 5px 3px;
	border: 1px solid #DDDDDD;width:150px;/* height:30px; */border-radius:5px;font-size:20px;vertical-align:middle;box-shadow: 0 0 5px rgba(81, 203, 238, 1);
}
.gp_style1 input[type='text']:focus{ border-color: #66CCFF;box-shadow: 0 0 3px #66CCFF;outline: medium none;}


.gp_style1 input[type='text'].gpmul{width:50px; height:auto;}

/*getProblemStyle3&4() styles*/

.gp_style2{width:auto;margin:auto;}
.gp_style2 td.vgame {border-bottom: thick solid black;color: #000;font-size: 30px;line-height:35px;text-align:right;width:200px;}
.gp_style2 input[type='text']{
 -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    -moz-box-sizing: border-box;
    -moz-user-select: text;   
    border-image: none;  
	outline: none;padding: 5px 0px 5px 3px;
	border: 1px solid #DDDDDD;width:50px;/* height:25px; */border-radius:5px;font-size:20px;vertical-align:middle;box-shadow: 0 0 5px rgba(81, 203, 238, 1);
}
.gp_style2 input[type='text']:focus{ border-color: #66CCFF;box-shadow: 0 0 3px #66CCFF;outline: medium none;	}
.gp_style2 input[type='text'].divinp{margin:0px 0px 5px 0px;width:50px;height:auto;} 
.lbl1{padding-right: 5px;font-size:15px;}
.lbl2{padding-right: 5px;font-size:15px;}
.gp_style2 input[type='text'].fractnbox{width:25px;height:20px;padding:0px;font-size:15px;text-align:center;} 
.gp_style2 input[type='text'].fractnbox:hover{width:25px;height:20px;padding:0px;font-size:15px;box-shadow: 0 0 5px rgba(81, 203, 238, 1);border: 1px solid rgba(81, 203, 238, 1);}
.div_paranthesis{background-image: url("/resources/images/div_paranthesis.png");background-repeat: no-repeat;display: inline-block;height: 22px;width: 5px;vertical-align:top;}

.chose_num_box{border:solid 2px #2d9096;background-color:#d8fcfe;width:110px;padding:5px;}

div.arith_mul_row {display: table-row;}
div.arith_mul_row > div.arith_mul_cell {display: table-cell;text-align: center;vertical-align: middle;width: 1px;}
div.arith_mul_first_block {display: table-cell;vertical-align: middle;}
div.arith_mul div.arith_mul_first_block > div.first{border-left: 1px solid #000000;}
.expression {position: relative;text-align: center;}
div.arith_mul div.arith_mul_first_block > div.last{border-right: 1px solid #000000;}
div.arith_mul .arith_mul_cell.operator {width: 19px;}
input.arith_mul_input {border: 0 none;height: 24px;padding-left: 4px;padding-right: 4px;text-align: center;width: 12px;    z-index: 19;}
div.arith_mul_num {border-color: #000000 #000000 #000000 -moz-use-text-color;border-style: solid dotted solid none;    border-width: 1px 1px 1px 0;height: 26px;text-align: center;}
.arith_cont {margin-left: 32px;margin-top: 16px;}
div.arith_mul {display: table;}
div.arith_mul > div.ab_cols {display: table-row;}
div.arith_mul > div.arith_mul_row {display: table-row;}
div.arith_mul .arith_mul_cell.row_cell {width: 20px;}
div.ab_line{display: table-row;height: 2px;width: 100%;}
div.ab_line_css{border-bottom: 1px solid #000000;display: table-cell;}
